# Generated by Django 3.2.20 on 2023-12-28 14:31

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import lucterios.framework.model_fields


class Migration(migrations.Migration):

    dependencies = [
        ('invoice', '0028_categorybill_multi_emailinfo'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='accountposting',
            options={'default_permissions': [], 'verbose_name': 'Account posting code', 'verbose_name_plural': 'Account posting codes'},
        ),
        migrations.AlterField(
            model_name='article',
            name='stockable',
            field=models.IntegerField(choices=[(0, 'no stockable'), (1, 'stockable'), (2, 'stockable & no marketable'), (4, 'kit of articles')], db_index=True, default=0, verbose_name='stockable'),
        ),
        migrations.CreateModel(
            name='RecipeKitArticle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('quantity', lucterios.framework.model_fields.LucteriosDecimalField(decimal_places=3, default=1.0, max_digits=12, validators=[django.core.validators.MinValueValidator(0.0), django.core.validators.MaxValueValidator(9999999.999)], verbose_name='amount in the recipe')),
                ('article', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='kit_article', to='invoice.article', verbose_name='own article')),
                ('link_article', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='linked_article', to='invoice.article', verbose_name='linked article')),
            ],
            options={
                'verbose_name': 'article of kit',
                'verbose_name_plural': 'articles of kit',
                'ordering': ['article', '-quantity'],
                'default_permissions': [],
            },
        ),
    ]
