# Generated by Django 4.2 on 2024-09-10 08:28

from django.db import migrations, models
import django.db.models.deletion
from django.core import validators

from lucterios.framework import model_fields


class Migration(migrations.Migration):

    dependencies = [
        ('CORE', '0006_preference'),
        ('invoice', '0030_alter_bill_comment'),
    ]

    operations = [
        migrations.CreateModel(
            name='MultiPrice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250, verbose_name='name')),
                ('filtercriteria', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='CORE.savedcriteria', verbose_name='filter criteria')),
            ],
            options={
                'verbose_name': 'multi-price',
                'verbose_name_plural': 'multi-prices',
                'default_permissions': [],
            },
        ),
        migrations.CreateModel(
            name='MultiPriceValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('price', model_fields.LucteriosDecimalField(decimal_places=3, default=0.0, max_digits=10, validators=[validators.MinValueValidator(0.0), validators.MaxValueValidator(9999999.999)], verbose_name='price')),
                ('article', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='invoice.article', verbose_name='article')),
                ('multiprice', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='invoice.multiprice', verbose_name='multi-price')),
            ],
            options={
                'verbose_name': 'multi-price value',
                'verbose_name_plural': 'multi-price values',
                'default_permissions': [],
            },
        ),
    ]
